
#ifndef BL_TASK_H_
#define BL_TASK_H_

#include "timeSliceOffset.h"

void task_Init(void);

/* 控制运行指示灯和喂狗  */
#define runled_reloadVal 1000               /* 任务执行间隔  */
#define runled_offset 0                     /* 任务执行偏移量  */
extern STR_TimeSliceOffset m_runled;
void Task_Runled(void);

/* 喂狗  */
#define wdi_reloadVal 1000                  /* 任务执行间隔  */
#define wdi_offset 100                      /* 任务执行偏移量  */
extern STR_TimeSliceOffset m_wdi;
void Task_wdi(void);

/* 刷新寄存器中的数据  */
#define refreshJudgeData_reloadVal 1000     /* 任务执行间隔  */
#define refreshJudgeData_offset 0           /* 任务执行偏移量  */
extern STR_TimeSliceOffset m_refreshJudgeData;
void Task_refreshJudgeData(void);

/* 启动任务 */
#define startControl_reloadVal 5000         /* 任务执行间隔  */
#define startControl_offset 100             /* 任务执行偏移量  */
extern STR_TimeSliceOffset g_startControl;
void Task_startControl(void);

/* 软启动  */
#define softStart_reloadVal 10          /* 任务执行间隔  */
#define softStart_offset 0              /* 任务执行偏移量  */
extern STR_TimeSliceOffset m_softStart;
void Task_softStart(void);

/* 回路阻抗检测  */
#define impedanceCalculation_reloadVal 100              /* 任务执行间隔  */
#define impedanceCalculation_offset 0                   /* 任务执行偏移量  */
extern STR_TimeSliceOffset m_impedanceCalculation;
void Task_impedanceCalculation(void);










#endif
