
#include "Init.h"
#include "capture.h"
#include "FM_GPIO.h"
#include "inFlash.h"
#include "parameter.h"
#include "FM_GPIO.h"
#include "FM_TIM.h"
#include "uart_dev.h"

extern int getMPPT_Mode(void);

/**
 * @brief   初始化外设，同时通过配置文件初始化系统参数
 * @param   None
 * @retval  None
 *
 */
void Init(void)
{
    config_info_start();
    ADC_Capture_Init();
    proportionalInt(getMPPT_Mode());

    FM_GPIO_Init();
    tim_Init();

    Init_debug_uart();
    Init_BAT485_uart();
    Init_GW485_uart();
    start_gw485Rx_It();
    start_bat485Rx_It();
}
